Subject: McGill MCHG online seminar,Urban Upgrading Shifang China,Sept 10

From: [email-masked] (Donald Chan)
Date: 4 Sep 1996 06:47:20 GMT

McGill University School of Architecture's Minimum  Cost Housing Group
will hold realtime online seminar Tues.Sept.10, 10 am EDT.(Montreal) 
at Diversity University MOO. (telnet moo.du.org 8888  to reach this mud) 
(or via web browser http://www.du.org:8888  Muds are real time text based 
conferencing systems, and DU MOO is also a web server). Discussion Topic:
Urban Upgrading Shifang China is part of MCHG's Housing a Billion series.

@go #9922 to reach the Seminar room (called Hyde Park)
This event is part of the Internet 1996 World Fair Canadian Pavillion
http://www.wf.carleton.ca under Knowledge and Home Front
or under events. Mirror site at http://www.cyberstation.net/hf 

Please email [email-masked]  if you have any problems and to
register for future event notification.